Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class ValueRecorder

- org.codehaus.groovy.runtime.powerassert.ValueRecorder

- Records values produced during evaluation of an assertion statement's truth expression.

  Authors:
    Peter Niederwieser

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `List<Value>` | `getValues()`
    `` | `Object` | `record(Object value, int anchor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void clear()

    - #### public List<Value> getValues()

    - #### public Object record(Object value, int anchor)